Subject: bug#24901: Patch updated slightly

From: Eli Zaretskii <[email-masked]>
Date: Fri, 02 Dec 2016 17:26:01 +0200

> From: Reuben Thomas <[email-masked]>
> Date: Fri, 2 Dec 2016 14:42:24 +0000
> Cc: [email-masked]
> 
> ​Rationale: electric-pair-mode already has support for straight double-quote pairs, so it is logical to add
> support for curly double-quote pairs. As with straight double quotes, it's logical that these be supported
> everywhere. The same goes for straight single quotes, which are generally used for the same purpose as
> curly double and single double quotes, that is, quoting (in human language).
> 
> The use of electric-quote-chars means that electric-pair-mode will automatically use whatever the user has
> configured for single and double quotes.

I see, thanks.  Is it certain that users won't want straight quotes,
but not the curly ones?  E.g., in some programming mode, perhaps?

>  In particular, I don't understand the last sentence of the log
>  message; can you elaborate?
> 
> ​electric-pair-mode does not by default produce pairs of straight single quote (apostrophe). This is because it
> does not always make sense: a single apostrophe is often used on its own. However, with curly single
> quotes, it makes sense for electric-pair-mode to make typing a left curly quote automatically add a
> corresponding right quote, as left curly quotes are not normally used on their own. (Right single curly quotes
> can be used on their own, as an apostrophe, but this is irrelevant here, as electric-pair-mode acts when the
> left-hand mark is typed, not the right-hand mark).

So electric-pair-mode is incompatible with RTL scripts.  Too bad.

Thanks for the explanations.  If it's certain that no one will want
only straight quotes (see above), I'm okay with this change.